summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--office/openoffice.org/openoffice.org.SlackBuild14
1 files changed, 13 insertions, 1 deletions
diff --git a/office/openoffice.org/openoffice.org.SlackBuild b/office/openoffice.org/openoffice.org.SlackBuild
index 648a65c6bd..7f33a60b0c 100644
--- a/office/openoffice.org/openoffice.org.SlackBuild
+++ b/office/openoffice.org/openoffice.org.SlackBuild
@@ -32,10 +32,19 @@
PRGNAM=openoffice.org
VERSION=3.2.0
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -64,6 +73,9 @@ if [ "$ARCH" = "x86_64" ]; then
SRCARCH="X86-64"
PKGARCH="$ARCH"
WJRE=yes #Overwrite WJRE option since the only x86_64 I see has jre
+elif [ "$ARCH" = "arm" ]; then
+ printf "\n$ARCH is unsupported for OOo...\n\n"
+ exit 1
else
SRCARCH="Intel"
PKGARCH="i586"